diff -r 949ec3dc1c03 app/composite/make-installer.py
--- a/app/composite/make-installer.py	Mon Feb 08 13:22:19 2010 +0800
+++ b/app/composite/make-installer.py	Mon Feb 08 13:30:41 2010 +0800
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python2.6
 #
 # Gimp image compositing
 # Copyright (C) 2003  Helvetix Victorinox, <helvetix@gimp.org>
diff -r 949ec3dc1c03 app/composite/ns.py
--- a/app/composite/ns.py	Mon Feb 08 13:22:19 2010 +0800
+++ b/app/composite/ns.py	Mon Feb 08 13:30:41 2010 +0800
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python2.6
 # Copyright (C) 2003  Helvetix Victorinox, a pseudonym, <helvetix@gimp.org>
 #
 # This program is free software; you can redistribute it and/or modify
diff -r 949ec3dc1c03 plug-ins/pygimp/plug-ins/benchmark-foreground-extract.py
--- a/plug-ins/pygimp/plug-ins/benchmark-foreground-extract.py	Mon Feb 08 13:22:19 2010 +0800
+++ b/plug-ins/pygimp/plug-ins/benchmark-foreground-extract.py	Mon Feb 08 13:30:41 2010 +0800
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python2.6
 
 #   Foreground Extraction Benchmark
 #   Copyright 2005  Sven Neumann <sven@gimp.org>
diff -r 949ec3dc1c03 plug-ins/pygimp/plug-ins/clothify.py
--- a/plug-ins/pygimp/plug-ins/clothify.py	Mon Feb 08 13:22:19 2010 +0800
+++ b/plug-ins/pygimp/plug-ins/clothify.py	Mon Feb 08 13:30:41 2010 +0800
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python2.6
 
 #   Gimp-Python - allows the writing of Gimp plugins in Python.
 #   Copyright (C) 1997  James Henstridge <james@daa.com.au>
diff -r 949ec3dc1c03 plug-ins/pygimp/plug-ins/colorxhtml.py
--- a/plug-ins/pygimp/plug-ins/colorxhtml.py	Mon Feb 08 13:22:19 2010 +0800
+++ b/plug-ins/pygimp/plug-ins/colorxhtml.py	Mon Feb 08 13:30:41 2010 +0800
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python2.6
 
 #   Gimp-Python - allows the writing of Gimp plugins in Python.
 #   Copyright (C) 2003, 2005  Manish Singh <yosh@gimp.org>
diff -r 949ec3dc1c03 plug-ins/pygimp/plug-ins/foggify.py
--- a/plug-ins/pygimp/plug-ins/foggify.py	Mon Feb 08 13:22:19 2010 +0800
+++ b/plug-ins/pygimp/plug-ins/foggify.py	Mon Feb 08 13:30:41 2010 +0800
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python2.6
 
 #   Gimp-Python - allows the writing of Gimp plugins in Python.
 #   Copyright (C) 1997  James Henstridge <james@daa.com.au>
diff -r 949ec3dc1c03 plug-ins/pygimp/plug-ins/palette-offset.py
--- a/plug-ins/pygimp/plug-ins/palette-offset.py	Mon Feb 08 13:22:19 2010 +0800
+++ b/plug-ins/pygimp/plug-ins/palette-offset.py	Mon Feb 08 13:30:41 2010 +0800
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python2.6
 # -*- coding: utf-8 -*-
 #    This program is free software; you can redistribute it and/or modify
 #   it under the terms of the GNU General Public License as published by
diff -r 949ec3dc1c03 plug-ins/pygimp/plug-ins/palette-sort.py
--- a/plug-ins/pygimp/plug-ins/palette-sort.py	Mon Feb 08 13:22:19 2010 +0800
+++ b/plug-ins/pygimp/plug-ins/palette-sort.py	Mon Feb 08 13:30:41 2010 +0800
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python2.6
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
diff -r 949ec3dc1c03 plug-ins/pygimp/plug-ins/palette-to-gradient.py
--- a/plug-ins/pygimp/plug-ins/palette-to-gradient.py	Mon Feb 08 13:22:19 2010 +0800
+++ b/plug-ins/pygimp/plug-ins/palette-to-gradient.py	Mon Feb 08 13:30:41 2010 +0800
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python2.6
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
diff -r 949ec3dc1c03 plug-ins/pygimp/plug-ins/py-slice.py
--- a/plug-ins/pygimp/plug-ins/py-slice.py	Mon Feb 08 13:22:19 2010 +0800
+++ b/plug-ins/pygimp/plug-ins/py-slice.py	Mon Feb 08 13:30:41 2010 +0800
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python2.6
 # -*- coding: utf-8 -*-
 
 #Copyright (c) Manish Singh
diff -r 949ec3dc1c03 plug-ins/pygimp/plug-ins/python-console.py
--- a/plug-ins/pygimp/plug-ins/python-console.py	Mon Feb 08 13:22:19 2010 +0800
+++ b/plug-ins/pygimp/plug-ins/python-console.py	Mon Feb 08 13:30:41 2010 +0800
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python2.6
 
 #   Gimp-Python - allows the writing of Gimp plugins in Python.
 #   Copyright (C) 1997  James Henstridge <james@daa.com.au>
diff -r 949ec3dc1c03 plug-ins/pygimp/plug-ins/python-eval.py
--- a/plug-ins/pygimp/plug-ins/python-eval.py	Mon Feb 08 13:22:19 2010 +0800
+++ b/plug-ins/pygimp/plug-ins/python-eval.py	Mon Feb 08 13:30:41 2010 +0800
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python2.6
 
 #   Gimp-Python - allows the writing of Gimp plugins in Python.
 #   Copyright (C) 2006  Manish Singh <yosh@gimp.org>
diff -r 949ec3dc1c03 plug-ins/pygimp/plug-ins/shadow_bevel.py
--- a/plug-ins/pygimp/plug-ins/shadow_bevel.py	Mon Feb 08 13:22:19 2010 +0800
+++ b/plug-ins/pygimp/plug-ins/shadow_bevel.py	Mon Feb 08 13:30:41 2010 +0800
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python2.6
 
 #   Gimp-Python - allows the writing of Gimp plugins in Python.
 #   Copyright (C) 1997  James Henstridge <james@daa.com.au>
diff -r 949ec3dc1c03 plug-ins/pygimp/plug-ins/sphere.py
--- a/plug-ins/pygimp/plug-ins/sphere.py	Mon Feb 08 13:22:19 2010 +0800
+++ b/plug-ins/pygimp/plug-ins/sphere.py	Mon Feb 08 13:30:41 2010 +0800
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python2.6
 
 #   Gimp-Python - allows the writing of Gimp plugins in Python.
 #   Copyright (C) 1997  James Henstridge <james@daa.com.au>
diff -r 949ec3dc1c03 plug-ins/pygimp/plug-ins/whirlpinch.py
--- a/plug-ins/pygimp/plug-ins/whirlpinch.py	Mon Feb 08 13:22:19 2010 +0800
+++ b/plug-ins/pygimp/plug-ins/whirlpinch.py	Mon Feb 08 13:30:41 2010 +0800
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python2.6
 
 #   Gimp-Python - allows the writing of Gimp plugins in Python.
 #   Copyright (C) 1997  James Henstridge <james@daa.com.au>
diff -r 949ec3dc1c03 tools/defcheck.py
--- a/tools/defcheck.py	Mon Feb 08 13:22:19 2010 +0800
+++ b/tools/defcheck.py	Mon Feb 08 13:30:41 2010 +0800
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python2.6
 
 """
 defcheck.py -- Consistency check for the .def files.
diff -r 949ec3dc1c03 tools/gimppath2svg.py
--- a/tools/gimppath2svg.py	Mon Feb 08 13:22:19 2010 +0800
+++ b/tools/gimppath2svg.py	Mon Feb 08 13:30:41 2010 +0800
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python2.6
 
 import sys,re
 