--- gimp-2.6.7.orig/devel-docs/libgimpcolor/Makefile.am 2010-02-02 23:14:26.461012598 +0000
+++ gimp-2.6.7/devel-docs/libgimpcolor/Makefile.am      2010-02-02 23:21:59.780445729 +0000
@@ -19,7 +19,7 @@
 MKDB_OPTIONS = --sgml-mode --output-format=xml
 
 # Extra options to supply to gtkdoc-fixref
-FIXXREF_OPTIONS =
+FIXXREF_OPTIONS = --module=$(DOC_MODULE)
 
 # Used for dependencies
 HFILE_GLOB = $(DOC_SOURCE_DIR)/*.h
--- gimp-2.6.7.orig/devel-docs/libgimpconfig/Makefile.am        2010-02-02 23:14:26.466912830 +0000
+++ gimp-2.6.7/devel-docs/libgimpconfig/Makefile.am     2010-02-02 23:24:39.683453712 +0000
@@ -19,7 +19,7 @@
 MKDB_OPTIONS = --sgml-mode --output-format=xml
 
 # Extra options to supply to gtkdoc-fixref
-FIXXREF_OPTIONS = --extra-dir=../libgimpbase/html --extra-dir=../libgimpcolor/html --extra-dir=../libgimpmath/html
+FIXXREF_OPTIONS = --extra-dir=../libgimpbase/html --extra-dir=../libgimpcolor/html --extra-dir=../libgimpmath/html --module=$(DOC_MODULE)
 
 # Used for dependencies
 HFILE_GLOB = $(DOC_SOURCE_DIR)/*.h
--- gimp-2.6.7.orig/devel-docs/libgimpmath/Makefile.am  2010-02-02 23:14:26.477266439 +0000
+++ gimp-2.6.7/devel-docs/libgimpmath/Makefile.am       2010-02-02 23:26:08.651249656 +0000
@@ -19,7 +19,7 @@
 MKDB_OPTIONS = --sgml-mode --output-format=xml
 
 # Extra options to supply to gtkdoc-fixref
-FIXXREF_OPTIONS =
+FIXXREF_OPTIONS = --module=$(DOC_MODULE)
 
 # Used for dependencies
 HFILE_GLOB = $(DOC_SOURCE_DIR)/*.h
--- gimp-2.6.7.orig/devel-docs/libgimpmodule/Makefile.am        2010-02-02 23:14:26.583459855 +0000
+++ gimp-2.6.7/devel-docs/libgimpmodule/Makefile.am     2010-02-02 23:28:35.139822019 +0000
@@ -19,7 +19,7 @@
 MKDB_OPTIONS = --sgml-mode --output-format=xml
 
 # Extra options to supply to gtkdoc-fixref
-FIXXREF_OPTIONS =
+FIXXREF_OPTIONS = --module=$(DOC_MODULE)
 
 # Used for dependencies
 HFILE_GLOB = $(DOC_SOURCE_DIR)/*.h
--- gimp-2.6.7.orig/devel-docs/libgimpthumb/Makefile.am 2010-02-02 23:14:26.485150690 +0000
+++ gimp-2.6.7/devel-docs/libgimpthumb/Makefile.am      2010-02-02 23:30:11.674878664 +0000
@@ -19,7 +19,7 @@
 MKDB_OPTIONS = --sgml-mode --output-format=xml
 
 # Extra options to supply to gtkdoc-fixref
-FIXXREF_OPTIONS = --extra-dir=../libgimpmath/html
+FIXXREF_OPTIONS = --extra-dir=../libgimpmath/html --module=$(DOC_MODULE)
 
 # Used for dependencies
 HFILE_GLOB = $(DOC_SOURCE_DIR)/*.h
--- gimp-2.6.7.orig/devel-docs/libgimp/Makefile.am      2010-02-02 23:14:26.419121473 +0000
+++ gimp-2.6.7/devel-docs/libgimp/Makefile.am   2010-02-03 00:01:27.831794111 +0000
@@ -19,7 +19,7 @@
 MKDB_OPTIONS = --sgml-mode --output-format=xml
 
 # Extra options to supply to gtkdoc-fixref
-FIXXREF_OPTIONS = --extra-dir=../libgimpbase/html --extra-dir=../libgimpcolor/html --extra-dir=../libgimpconfig/html --extra-dir=../libgimpmath/html --extra-dir=../libgimpwidgets/html
+FIXXREF_OPTIONS = --extra-dir=../libgimpbase/html --extra-dir=../libgimpcolor/html --extra-dir=../libgimpconfig/html --extra-dir=../libgimpmath/html --extra-dir=../libgimpwidgets/html --module=$(DOC_MODULE)
 
 # Used for dependencies
 HFILE_GLOB = $(DOC_SOURCE_DIR)/*.h
--- gimp-2.6.7.orig/devel-docs/libgimpwidgets/Makefile.am       2010-02-02 23:14:26.507928484 +0000
+++ gimp-2.6.7/devel-docs/libgimpwidgets/Makefile.am    2010-02-02 23:58:24.512228368 +0000
@@ -19,7 +19,7 @@
 MKDB_OPTIONS = --sgml-mode --output-format=xml
 
 # Extra options to supply to gtkdoc-fixref
-FIXXREF_OPTIONS = --extra-dir=../libgimpbase/html --extra-dir=../libgimpcolor/html --extra-dir=../libgimpconfig/html --extra-dir=../libgimpmath/html --extra-dir=../libgimp/html
+FIXXREF_OPTIONS = --extra-dir=../libgimpbase/html --extra-dir=../libgimpcolor/html --extra-dir=../libgimpconfig/html --extra-dir=../libgimpmath/html --extra-dir=../libgimp/html --module=$(DOC_MODULE)
 
 # Used for dependencies
 HFILE_GLOB = $(DOC_SOURCE_DIR)/*.h
diff -ruN gimp-2.6.7.orig/devel-docs/libgimpbase/Makefile.am gimp-2.6.7/devel-docs/libgimpbase/Makefile.am
--- gimp-2.6.7.orig/devel-docs/libgimpbase/Makefile.am	2010-02-03 00:58:49.609993900 +0000
+++ gimp-2.6.7/devel-docs/libgimpbase/Makefile.am	2010-02-03 00:59:28.149825100 +0000
@@ -19,7 +19,7 @@
 MKDB_OPTIONS = --sgml-mode --output-format=xml
 
 # Extra options to supply to gtkdoc-fixref
-FIXXREF_OPTIONS =
+FIXXREF_OPTIONS = --module=$(DOC_MODULE)
 
 # Used for dependencies
 HFILE_GLOB = $(DOC_SOURCE_DIR)/*.h