diff -r 6fa92bd297c6 help/bg/gnome-netstatus.xml
--- a/help/bg/gnome-netstatus.xml	Fri Jul 08 15:03:11 2011 +0800
+++ b/help/bg/gnome-netstatus.xml	Fri Jul 08 16:39:35 2011 +0800
@@ -22,7 +22,8 @@
     <title>Ръководство за аплета „Програма за наблюдение на мрежата“</title>       
     <copyright>
       <year>2004</year>
-      <holder>Sun Microsystems</holder>
+      <year>2011</year>
+      <holder>Oracle and/or its affiliates. All rights reserved.</holder>
     </copyright><copyright><year>2005</year><holder>Ростислав "zbrox" Райков (zbrox@i-space.org)</holder></copyright>
 <!-- translators: uncomment this:
 
@@ -61,7 +62,7 @@
       <author>
         <firstname>Екип на Sun</firstname>
         <surname>за документация на GNOME</surname>
-        <affiliation><orgname>Sun Microsystems</orgname></affiliation>
+        <affiliation><orgname>Oracle Corporation</orgname></affiliation>
       </author>
 <!-- This is appropriate place for other contributors: translators,
       maintainers,  etc. Commented out by default.
diff -r 6fa92bd297c6 help/ca/gnome-netstatus.xml
--- a/help/ca/gnome-netstatus.xml	Fri Jul 08 15:03:11 2011 +0800
+++ b/help/ca/gnome-netstatus.xml	Fri Jul 08 16:39:35 2011 +0800
@@ -22,7 +22,8 @@
     <title>Manual del Monitor de la xarxa</title>       
     <copyright>
       <year>2004</year>
-      <holder>Sun Microsystems</holder>
+      <year>2011</year>
+      <holder>Oracle and/or its affiliates. All rights reserved.</holder>
     </copyright><copyright><year>2007-2009</year><holder>Joan Duran (jodufi@gmail.com)</holder></copyright>
 <!-- translators: uncomment this:
 
@@ -59,9 +60,9 @@
 
     <authorgroup> 
       <author>
-        <firstname>Sun</firstname>
+        <firstname>Oracle Solaris</firstname>
         <surname>Equip de documentació del GNOME</surname>
-        <affiliation><orgname>Sun Microsystems</orgname></affiliation>
+        <affiliation><orgname>Oracle Corporation</orgname></affiliation>
       </author>
 <!-- This is appropriate place for other contributors: translators,
       maintainers,  etc. Commented out by default.
diff -r 6fa92bd297c6 help/cs/gnome-netstatus.xml
--- a/help/cs/gnome-netstatus.xml	Fri Jul 08 15:03:11 2011 +0800
+++ b/help/cs/gnome-netstatus.xml	Fri Jul 08 16:39:35 2011 +0800
@@ -22,7 +22,8 @@
     <title>Příručka nástroje Sledování sítě</title>       
     <copyright>
       <year>2004</year>
-      <holder>Sun Microsystems</holder>
+      <year>2011</year>
+      <holder>Oracle and/or its affiliates. All rights reserved.</holder>
     </copyright><copyright><year>2009</year><holder>Lucas Lommer (llommer@svn.gnome.org)</holder></copyright>
 <!-- translators: uncomment this:
 
@@ -59,9 +60,9 @@
 
     <authorgroup> 
       <author>
-        <firstname>Sun</firstname>
+        <firstname>Oracle Solaris</firstname>
         <surname>Dokumentační tým GNOME</surname>
-        <affiliation><orgname>Sun Microsystems</orgname></affiliation>
+        <affiliation><orgname>Oracle Corporation</orgname></affiliation>
       </author>
 <!-- This is appropriate place for other contributors: translators,
       maintainers,  etc. Commented out by default.
diff -r 6fa92bd297c6 help/de/gnome-netstatus.xml
--- a/help/de/gnome-netstatus.xml	Fri Jul 08 15:03:11 2011 +0800
+++ b/help/de/gnome-netstatus.xml	Fri Jul 08 16:39:35 2011 +0800
@@ -22,7 +22,8 @@
     <title>Netzwerküberwachung-Handbuch</title>       
     <copyright>
       <year>2004</year>
-      <holder>Sun Microsystems</holder>
+      <year>2011</year>
+      <holder>Oracle and/or its affiliates. All rights reserved.</holder>
     </copyright><copyright><year>2009</year><holder>Mario Blättermann (mariobl@gnome.org)</holder></copyright>
 <!-- translators: uncomment this:
 
@@ -59,9 +60,9 @@
 
     <authorgroup> 
       <author>
-        <firstname>Sun</firstname>
+        <firstname>Oracle Solaris</firstname>
         <surname>GNOME-Dokumentationsteam</surname>
-        <affiliation><orgname>Sun Microsystems</orgname></affiliation>
+        <affiliation><orgname>Oracle Corporation</orgname></affiliation>
       </author>
 <!-- This is appropriate place for other contributors: translators,
       maintainers,  etc. Commented out by default.
diff -r 6fa92bd297c6 help/el/gnome-netstatus.xml
--- a/help/el/gnome-netstatus.xml	Fri Jul 08 15:03:11 2011 +0800
+++ b/help/el/gnome-netstatus.xml	Fri Jul 08 16:39:35 2011 +0800
@@ -52,7 +52,7 @@
 
     <authorgroup> 
       <author>
-        <firstname>Sun</firstname>
+        <firstname>Oracle Solaris</firstname>
         <surname>Ομάδα τεκμηρίωσης GNOME</surname>
         <affiliation><orgname>Sun Microsystems </orgname></affiliation>
       </author>
diff -r 6fa92bd297c6 help/en_GB/gnome-netstatus.xml
--- a/help/en_GB/gnome-netstatus.xml	Fri Jul 08 15:03:11 2011 +0800
+++ b/help/en_GB/gnome-netstatus.xml	Fri Jul 08 16:39:35 2011 +0800
@@ -22,7 +22,8 @@
     <title>Network Monitor Manual</title>       
     <copyright>
       <year>2004</year>
-      <holder>Sun Microsystems</holder>
+      <year>2011</year>
+      <holder>Oracle and/or its affiliates. All rights reserved.</holder>
     </copyright><copyright><year>2007</year><holder>David Lodge (dave@cirt.net)</holder></copyright>
 <!-- translators: uncomment this:
 
@@ -59,9 +60,9 @@
 
     <authorgroup> 
       <author>
-        <firstname>Sun</firstname>
-        <surname>GNOME Documentation Team</surname>
-        <affiliation><orgname>Sun Microsystems</orgname></affiliation>
+        <firstname>Oracle Solaris</firstname>
+        <surname>Desktop Documentation Team</surname>
+        <affiliation><orgname>Oracle Corporation</orgname></affiliation>
       </author>
 <!-- This is appropriate place for other contributors: translators,
       maintainers,  etc. Commented out by default.
@@ -83,7 +84,7 @@
 	<revnumber>Network Monitor Applet Manual V2.0</revnumber> 
 	<date>February 2004</date> 
 	<revdescription> 
-          <para role="author">Sun GNOME Documentation Team</para>
+          <para role="author">Oracle Solaris Desktop Documentation Team</para>
           <para role="publisher">GNOME Documentation Project</para>
 	</revdescription> 
       </revision> 
diff -r 6fa92bd297c6 help/es/gnome-netstatus.xml
--- a/help/es/gnome-netstatus.xml	Fri Jul 08 15:03:11 2011 +0800
+++ b/help/es/gnome-netstatus.xml	Fri Jul 08 16:39:35 2011 +0800
@@ -22,7 +22,8 @@
     <title>Manual del Monitor de red</title>       
     <copyright>
       <year>2004</year>
-      <holder>Sun Microsystems</holder>
+      <year>2011</year>
+      <holder>Oracle and/or its affiliates. All rights reserved.</holder>
     </copyright><copyright><year>2005, 2007-2008.</year><holder>Jorge González (jorgegonz@svn.gnome.org)</holder></copyright><copyright><year>2005.</year><holder>Francisco Javier F. Serrador (serrador@cvs.gnome.org)</holder></copyright>
 <!-- translators: uncomment this:
 
@@ -59,9 +60,9 @@
 
     <authorgroup> 
       <author>
-        <firstname>Sun</firstname>
+        <firstname>Oracle Solaris</firstname>
         <surname>Equipo de documentación de Gnome</surname>
-        <affiliation><orgname>Sun Microsystems</orgname></affiliation>
+        <affiliation><orgname>Oracle Corporation</orgname></affiliation>
       </author>
 <!-- This is appropriate place for other contributors: translators,
       maintainers,  etc. Commented out by default.
diff -r 6fa92bd297c6 help/fr/gnome-netstatus.xml
--- a/help/fr/gnome-netstatus.xml	Fri Jul 08 15:03:11 2011 +0800
+++ b/help/fr/gnome-netstatus.xml	Fri Jul 08 16:39:35 2011 +0800
@@ -22,7 +22,8 @@
     <title>Moniteur réseau</title>       
     <copyright>
       <year>2004</year>
-      <holder>Sun Microsystems</holder>
+      <year>2011</year>
+      <holder>Oracle and/or its affiliates. All rights reserved.</holder>
     </copyright><copyright><year>2006.</year><holder>Christophe Bliard (christophe.bliard@trux.info)</holder></copyright>
 <!-- translators: uncomment this:
 
@@ -59,9 +60,9 @@
 
     <authorgroup> 
       <author>
-        <firstname>Sun</firstname>
+        <firstname>Oracle Solaris</firstname>
         <surname>Équipe de documentation GNOME</surname>
-        <affiliation><orgname>Sun Microsystems</orgname></affiliation>
+        <affiliation><orgname>Oracle Corporation</orgname></affiliation>
       </author>
 <!-- This is appropriate place for other contributors: translators,
       maintainers,  etc. Commented out by default.
diff -r 6fa92bd297c6 help/it/gnome-netstatus.xml
--- a/help/it/gnome-netstatus.xml	Fri Jul 08 15:03:11 2011 +0800
+++ b/help/it/gnome-netstatus.xml	Fri Jul 08 16:39:35 2011 +0800
@@ -22,7 +22,8 @@
     <title>Manuale di Controllo rete</title>       
     <copyright>
       <year>2004</year>
-      <holder>Sun Microsystems</holder>
+      <year>2011</year>
+      <holder>Oracle and/or its affiliates. All rights reserved.</holder>
     </copyright><copyright><year>di cui si</year><holder>e i traduttori precedenti</holder></copyright>
 <!-- translators: uncomment this:
 
@@ -59,9 +60,9 @@
 
     <authorgroup> 
       <author>
-        <firstname>Sun</firstname>
-        <surname>GNOME Documentation Team</surname>
-        <affiliation><orgname>Sun Microsystems</orgname></affiliation>
+        <firstname>Oracle Solaris</firstname>
+        <surname>Desktop Documentation Team</surname>
+        <affiliation><orgname>Oracle Corporation</orgname></affiliation>
       </author>
 <!-- This is appropriate place for other contributors: translators,
       maintainers,  etc. Commented out by default.
@@ -83,7 +84,7 @@
 	<revnumber>Manuale dell'applet Controllo rete V2.0</revnumber> 
 	<date>Febbraio 2004</date> 
 	<revdescription> 
-          <para role="author">Sun GNOME Documentation Team</para>
+          <para role="author">Oracle Solaris Desktop Documentation Team</para>
           <para role="publisher">GNOME Documentation Project</para>
 	</revdescription> 
       </revision> 
diff -r 6fa92bd297c6 help/ja/gnome-netstatus.xml
--- a/help/ja/gnome-netstatus.xml	Fri Jul 08 15:03:11 2011 +0800
+++ b/help/ja/gnome-netstatus.xml	Fri Jul 08 16:39:35 2011 +0800
@@ -18,7 +18,8 @@
 
   <articleinfo> 
     <title>&appname; Manual V&manrevision; </title>       
-    <copyright><year>2004</year> <holder>Sun Microsystems</holder>  </copyright><!-- translators: uncomment this:
+    <copyright><year>2004</year> <year>2011</year>
+      <holder>Oracle and/or its affiliates. All rights reserved.</holder>  </copyright><!-- translators: uncomment this:
 
   <copyright>
    <year>2004</year>
@@ -30,7 +31,7 @@
     <publisher><publishername>GNOME ドキュメンテーションプロジェクト</publishername>  </publisher><!-- This file  contains link to license for the documentation (GNU FDL), and 
         other legal stuff such as "NO WARRANTY" statement. Please do not change 
 	any of this. -->&legal;  <authorgroup> 
-      <author><firstname>Sun</firstname> <surname>GNOME ドキュメンテーションチーム</surname> <affiliation><orgname>Sun Microsystems</orgname> </affiliation>
+      <author><firstname>Oracle Solaris</firstname> <surname>GNOME ドキュメンテーションチーム</surname> <affiliation><orgname>Oracle Corporation</orgname> </affiliation>
       </author><!-- This is appropriate place for other contributors: translators,
       maintainers,  etc. Commented out by default.
        <othercredit role="translator">
@@ -49,7 +50,7 @@
 
     <revhistory>
       <revision><revnumber>&appname; アプレットのマニュアル V&manrevision;</revnumber> <date>&date;</date> <revdescription> 
-          <para role="author">Sun GNOME ドキュメンテーションチーム</para>
+          <para role="author">Oracle Solaris Desktop ドキュメンテーションチーム</para>
           <para role="publisher">GNOME ドキュメンテーションプロジェクト </para>
 	</revdescription> 
       </revision> 
diff -r 6fa92bd297c6 help/ko/gnome-netstatus.xml
--- a/help/ko/gnome-netstatus.xml	Fri Jul 08 15:03:11 2011 +0800
+++ b/help/ko/gnome-netstatus.xml	Fri Jul 08 16:39:35 2011 +0800
@@ -18,7 +18,8 @@
 
   <articleinfo> 
     <title>&appname; 설명서 V&manrevision; </title>       
-    <copyright><year>2004</year> <holder>Sun Microsystems</holder>  </copyright><!-- translators: uncomment this:
+    <copyright><year>2004</year> <year>2011</year>
+      <holder>Oracle and/or its affiliates. All rights reserved.</holder>  </copyright><!-- translators: uncomment this:
 
   <copyright>
    <year>2004</year>
@@ -30,7 +31,7 @@
     <publisher><publishername>그놈 문서 프로젝트</publishername>  </publisher><!-- This file  contains link to license for the documentation (GNU FDL), and 
         other legal stuff such as "NO WARRANTY" statement. Please do not change 
 	any of this. -->&legal;  <authorgroup> 
-      <author><firstname>Sun</firstname> <surname>그놈 문서 팀</surname> <affiliation><orgname>Sun Microsystems</orgname> </affiliation>
+      <author><firstname>Oracle Solaris</firstname> <surname>그놈 문서 팀</surname> <affiliation><orgname>Oracle Corporation</orgname> </affiliation>
       </author><!-- This is appropriate place for other contributors: translators,
       maintainers,  etc. Commented out by default.
        <othercredit role="translator">
diff -r 6fa92bd297c6 help/nl/gnome-netstatus.xml
--- a/help/nl/gnome-netstatus.xml	Fri Jul 08 15:03:11 2011 +0800
+++ b/help/nl/gnome-netstatus.xml	Fri Jul 08 16:39:35 2011 +0800
@@ -22,7 +22,8 @@
     <title>Netwerkmonitor Handleiding</title>       
     <copyright>
       <year>2004</year>
-      <holder>Sun Microsystems</holder>
+      <year>2011</year>
+      <holder>Oracle and/or its affiliates. All rights reserved.</holder>
     </copyright>
 <!-- translators: uncomment this:
 
@@ -59,9 +60,9 @@
 
     <authorgroup> 
       <author>
-        <firstname>Sun</firstname>
+        <firstname>Oracle Solaris</firstname>
         <surname>GNOME Documentatie Team</surname>
-        <affiliation><orgname>Sun Microsystems</orgname></affiliation>
+        <affiliation><orgname>Oracle Corporation</orgname></affiliation>
       </author>
 <!-- This is appropriate place for other contributors: translators,
       maintainers,  etc. Commented out by default.
@@ -83,7 +84,7 @@
 	<revnumber>Handleiding voor Netwerkmonitor V2.0</revnumber> 
 	<date>Februari 2004</date> 
 	<revdescription> 
-          <para role="author">Sun GNOME Documentatie Team</para>
+          <para role="author">Oracle Solaris Desktop Documentatie Team</para>
           <para role="publisher">GNOME Documentatie Project</para>
 	</revdescription> 
       </revision> 
diff -r 6fa92bd297c6 help/oc/gnome-netstatus.xml
--- a/help/oc/gnome-netstatus.xml	Fri Jul 08 15:03:11 2011 +0800
+++ b/help/oc/gnome-netstatus.xml	Fri Jul 08 16:39:35 2011 +0800
@@ -22,7 +22,8 @@
     <title>Network Monitor Manual</title>       
     <copyright>
       <year>2004</year>
-      <holder>Sun Microsystems</holder>
+      <year>2011</year>
+      <holder>Oracle and/or its affiliates. All rights reserved.</holder>
     </copyright>
 <!-- translators: uncomment this:
 
@@ -118,9 +119,9 @@
 
     <authorgroup> 
       <author>
-        <firstname>Sun</firstname>
+        <firstname>Oracle Solaris</firstname>
         <surname>Còla de documentacion de GNOME</surname>
-        <affiliation><orgname>Sun Microsystems</orgname></affiliation>
+        <affiliation><orgname>Oracle Corporation</orgname></affiliation>
       </author>
 <!-- This is appropriate place for other contributors: translators,
       maintainers,  etc. Commented out by default.
diff -r 6fa92bd297c6 help/ru/gnome-netstatus.xml
--- a/help/ru/gnome-netstatus.xml	Fri Jul 08 15:03:11 2011 +0800
+++ b/help/ru/gnome-netstatus.xml	Fri Jul 08 16:39:35 2011 +0800
@@ -22,7 +22,8 @@
     <title>Network Monitor Manual</title>       
     <copyright>
       <year>2004</year>
-      <holder>Sun Microsystems</holder>
+      <year>2011</year>
+      <holder>Oracle and/or its affiliates. All rights reserved.</holder>
     </copyright>
 <!-- translators: uncomment this:
 
@@ -59,9 +60,9 @@
 
     <authorgroup> 
       <author>
-        <firstname>Sun</firstname>
+        <firstname>Oracle Solaris</firstname>
         <surname>Команда документации GNOME</surname>
-        <affiliation><orgname>Sun Microsystems</orgname></affiliation>
+        <affiliation><orgname>Oracle Corporation</orgname></affiliation>
       </author>
 <!-- This is appropriate place for other contributors: translators,
       maintainers,  etc. Commented out by default.
diff -r 6fa92bd297c6 help/sv/gnome-netstatus.xml
--- a/help/sv/gnome-netstatus.xml	Fri Jul 08 15:03:11 2011 +0800
+++ b/help/sv/gnome-netstatus.xml	Fri Jul 08 16:39:35 2011 +0800
@@ -22,7 +22,8 @@
     <title>Handbok för Nätverksövervakare</title>       
     <copyright>
       <year>2004</year>
-      <holder>Sun Microsystems</holder>
+      <year>2011</year>
+      <holder>Oracle and/or its affiliates. All rights reserved.</holder>
     </copyright><copyright><year>2006, 2008</year><holder>Daniel Nylander (po@danielnylander.se)</holder></copyright>
 <!-- translators: uncomment this:
 
@@ -61,7 +62,7 @@
       <author>
         <firstname>Suns</firstname>
         <surname>GNOME-dokumentationsteam</surname>
-        <affiliation><orgname>Sun Microsystems</orgname></affiliation>
+        <affiliation><orgname>Oracle Corporation</orgname></affiliation>
       </author>
 <!-- This is appropriate place for other contributors: translators,
       maintainers,  etc. Commented out by default.
diff -r 6fa92bd297c6 help/th/gnome-netstatus.xml
--- a/help/th/gnome-netstatus.xml	Fri Jul 08 15:03:11 2011 +0800
+++ b/help/th/gnome-netstatus.xml	Fri Jul 08 16:39:35 2011 +0800
@@ -22,7 +22,8 @@
     <title>คู่มือแอพเพล็ตติดตามการใช้เครือข่าย</title>       
     <copyright>
       <year>2004</year>
-      <holder>Sun Microsystems</holder>
+      <year>2011</year>
+      <holder>Oracle and/or its affiliates. All rights reserved.</holder>
     </copyright><copyright><year>2008</year><holder>Theppitak Karoonboonyanan (thep@linux.thai.net)</holder></copyright>
 <!-- translators: uncomment this:
 
@@ -59,9 +60,9 @@
 
     <authorgroup> 
       <author>
-        <firstname>Sun</firstname>
+        <firstname>Oracle Solaris</firstname>
         <surname>ทีมเอกสาร GNOME</surname>
-        <affiliation><orgname>Sun Microsystems</orgname></affiliation>
+        <affiliation><orgname>Oracle Corporation</orgname></affiliation>
       </author>
 <!-- This is appropriate place for other contributors: translators,
       maintainers,  etc. Commented out by default.
diff -r 6fa92bd297c6 help/uk/gnome-netstatus.xml
--- a/help/uk/gnome-netstatus.xml	Fri Jul 08 15:03:11 2011 +0800
+++ b/help/uk/gnome-netstatus.xml	Fri Jul 08 16:39:35 2011 +0800
@@ -22,7 +22,8 @@
     <title>Довідка з аплету Монітор мережі</title>       
     <copyright>
       <year>2004</year>
-      <holder>Sun Microsystems</holder>
+      <year>2011</year>
+      <holder>Oracle and/or its affiliates. All rights reserved.</holder>
     </copyright>
 <!-- translators: uncomment this:
 
@@ -59,9 +60,9 @@
 
     <authorgroup> 
       <author>
-        <firstname>Sun</firstname>
+        <firstname>Oracle Solaris</firstname>
         <surname>Команда документування GNOME</surname>
-        <affiliation><orgname>Sun Microsystems</orgname></affiliation>
+        <affiliation><orgname>Oracle Corporation</orgname></affiliation>
       </author>
 <!-- This is appropriate place for other contributors: translators,
       maintainers,  etc. Commented out by default.
diff -r 6fa92bd297c6 help/zh_CN/gnome-netstatus.xml
--- a/help/zh_CN/gnome-netstatus.xml	Fri Jul 08 15:03:11 2011 +0800
+++ b/help/zh_CN/gnome-netstatus.xml	Fri Jul 08 16:39:35 2011 +0800
@@ -22,7 +22,8 @@
     <title>网络监视器手册</title>       
     <copyright>
       <year>2004</year>
-      <holder>Sun Microsystems</holder>
+      <year>2011</year>
+      <holder>Oracle and/or its affiliates. All rights reserved.</holder>
     </copyright><copyright><year>2009.</year><holder>TeliuTe (teliute@163.com)</holder></copyright>
 <!-- translators: uncomment this:
 
@@ -59,9 +60,9 @@
 
     <authorgroup> 
       <author>
-        <firstname>Sun</firstname>
+        <firstname>Oracle Solaris</firstname>
         <surname>GNOME 文档小组</surname>
-        <affiliation><orgname>Sun Microsystems</orgname></affiliation>
+        <affiliation><orgname>Oracle Corporation</orgname></affiliation>
       </author>
 <!-- This is appropriate place for other contributors: translators,
       maintainers,  etc. Commented out by default.
@@ -83,7 +84,7 @@
 	<revnumber>网络监视器小程序手册 V2.0</revnumber> 
 	<date>2004年2月</date> 
 	<revdescription> 
-          <para role="author">Sun GNOME Documentation Team</para>
+          <para role="author">Oracle Solaris Desktop Documentation Team</para>
           <para role="publisher">GNOME 文档项目</para>
 	</revdescription> 
       </revision> 
diff -r 6fa92bd297c6 help/zh_HK/gnome-netstatus.xml
--- a/help/zh_HK/gnome-netstatus.xml	Fri Jul 08 15:03:11 2011 +0800
+++ b/help/zh_HK/gnome-netstatus.xml	Fri Jul 08 16:39:35 2011 +0800
@@ -17,7 +17,8 @@
 
   <articleinfo> 
     <title>&appname; 手冊 V&manrevision; </title>       
-    <copyright><year>2004</year> <holder>Sun Microsystems</holder>  </copyright><!-- translators: uncomment this:
+    <copyright><year>2004</year> <year>2011</year>
+      <holder>Oracle and/or its affiliates. All rights reserved.</holder>  </copyright><!-- translators: uncomment this:
 
   <copyright>
    <year>2004</year>
@@ -29,7 +30,7 @@
     <publisher><publishername>GNOME 文件專案</publishername>  </publisher><!-- This file  contains link to license for the documentation (GNU FDL), and 
         other legal stuff such as "NO WARRANTY" statement. Please do not change 
 	any of this. -->&legal;  <authorgroup> 
-      <author><firstname>Sun</firstname> <surname>GNOME 文件小組</surname> <affiliation><orgname>Sun Microsystems</orgname> </affiliation>
+      <author><firstname>Oracle Solaris</firstname> <surname>GNOME 文件小組</surname> <affiliation><orgname>Oracle Corporation</orgname> </affiliation>
       </author><!-- This is appropriate place for other contributors: translators,
       maintainers,  etc. Commented out by default.
        <othercredit role="translator">
@@ -48,7 +49,7 @@
 
     <revhistory>
       <revision><revnumber>&appname; Applet 手冊 V&manrevision;</revnumber> <date>&date;</date> <revdescription> 
-          <para role="author">Sun GNOME 文件小組</para>
+          <para role="author">Oracle Solaris Desktop 文件小組</para>
           <para role="publisher">GNOME 文件專案 </para>
 	</revdescription> 
       </revision> 
diff -r 6fa92bd297c6 help/zh_TW/gnome-netstatus.xml
--- a/help/zh_TW/gnome-netstatus.xml	Fri Jul 08 15:03:11 2011 +0800
+++ b/help/zh_TW/gnome-netstatus.xml	Fri Jul 08 16:39:35 2011 +0800
@@ -17,7 +17,8 @@
 
   <articleinfo> 
     <title>&appname; 手冊 V&manrevision; </title>       
-    <copyright><year>2004</year> <holder>Sun Microsystems</holder>  </copyright><!-- translators: uncomment this:
+    <copyright><year>2004</year> <year>2011</year>
+      <holder>Oracle and/or its affiliates. All rights reserved.</holder>  </copyright><!-- translators: uncomment this:
 
   <copyright>
    <year>2004</year>
@@ -29,7 +30,7 @@
     <publisher><publishername>GNOME 文件專案</publishername>  </publisher><!-- This file  contains link to license for the documentation (GNU FDL), and 
         other legal stuff such as "NO WARRANTY" statement. Please do not change 
 	any of this. -->&legal;  <authorgroup> 
-      <author><firstname>Sun</firstname> <surname>GNOME 文件小組</surname> <affiliation><orgname>Sun Microsystems</orgname> </affiliation>
+      <author><firstname>Oracle Solaris</firstname> <surname>GNOME 文件小組</surname> <affiliation><orgname>Oracle Corporation</orgname> </affiliation>
       </author><!-- This is appropriate place for other contributors: translators,
       maintainers,  etc. Commented out by default.
        <othercredit role="translator">
@@ -48,7 +49,7 @@
 
     <revhistory>
       <revision><revnumber>&appname; Applet 手冊 V&manrevision;</revnumber> <date>&date;</date> <revdescription> 
-          <para role="author">Sun GNOME 文件小組</para>
+          <para role="author">Oracle Solaris Desktop 文件小組</para>
           <para role="publisher">GNOME 文件專案 </para>
 	</revdescription> 
       </revision> 